#pragma once
#include "cocos2d.h"


struct Score
{
	unsigned score;
	std::string name;

	Score(){};
	Score(int _score, std::string _name):score(_score),name(_name){};
};

class ScoreScene : public cocos2d::Layer
{
public:
    virtual bool init();  
    static cocos2d::Scene* sceneWithScore(int score=-1);
    

	void addScore(int score);
    void exitButtonPressed(cocos2d::Ref* pSender);
    
    CREATE_FUNC(ScoreScene);
};

